Skip to main content
GET
Get a page of events

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer

The page number of results to return (zero-based).

size
integer

The number of results to return per page.

sort
string

The parameter and direction to sort results by.

Example:

"timestamp_occured,asc"

account_name
string
required

The account name.

suppressed
boolean

Filter events by the suppressed flag.

plugin
string

The plugin name.

event_name
string

The name of the event.

source_name
string

The source name.

sensor_uuid
string<uuid>

The UUID of the sensor.

source_username
string

The username of the person that triggered the event.

timestamp_occured_gte
integer<int64>

Filter for events that occurred at or after this timestamp (epoch milliseconds).

timestamp_occured_lte
integer<int64>

Filter for events that occurred at or before this timestamp (epoch milliseconds).

Response

200 - application/json

A paginated list of events.

_embedded
object
required
page
object
required